org.apache.fop.render.intermediate

## Class IFGraphicContext.Group

- java.lang.Object
- - org.apache.fop.render.intermediate.IFGraphicContext.Group

- Direct Known Subclasses:
    IFGraphicContext.Viewport
  Enclosing class:
    IFGraphicContext

      public static class IFGraphicContext.Group
      extends java.lang.Object

  a group

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()` Default constructor.
    `Group(java.awt.geom.AffineTransform transform)` Construct a Group.
    `Group(java.awt.geom.AffineTransform[] transforms)` Construct a Group.
    `Group(java.lang.String layer)` Construct a layer Group, i.e., a Group with no transforms but with a optional content group layer label.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end(IFPainter painter)`
    `java.lang.String` | `getLayer()`
    `java.awt.geom.AffineTransform[]` | `getTransforms()`
    `void` | `start(IFPainter painter)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Group

          public Group(java.awt.geom.AffineTransform[] transforms)

      Construct a Group.
      Parameters:
        `transforms` - an array of transforms

    - #### Group

          public Group(java.awt.geom.AffineTransform transform)

      Construct a Group.
      Parameters:
        `transform` - a transform

    - #### Group

          public Group(java.lang.String layer)

      Construct a layer Group, i.e., a Group with no transforms but with a optional content group layer label.
      Parameters:
        `layer` - a layer label

    - #### Group

          public Group()

      Default constructor.

  - ### Method Detail

    - #### getTransforms

          public java.awt.geom.AffineTransform[] getTransforms()

      Returns:
        array of transforms

    - #### getLayer

          public java.lang.String getLayer()

      Returns:
        layer

    - #### start

          public void start(IFPainter painter)
                     throws IFException

      Parameters:
        `painter` - a painter
      Throws:
        `IFException` - in not caught

    - #### end

          public void end(IFPainter painter)
                   throws IFException

      Parameters:
        `painter` - a painter
      Throws:
        `IFException` - in not caught

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.